From 7ae018fb5a37cd8c8622892bc2900f729976e63e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 05 2020 17:11:30 +0000
Subject: [PATCH 544/2232] Resolve redundant_field_names lint


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index 880e2c7..1f6cbac 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -122,7 +122,7 @@ fn parse_enum(item: ItemEnum) -> Result<Api> {
         }
         variants.push(Variant {
             ident: variant.ident,
-            discriminant: discriminant,
+            discriminant,
         });
         prev_discriminant = Some(discriminant);
     }
@@ -132,7 +132,7 @@ fn parse_enum(item: ItemEnum) -> Result<Api> {
         enum_token: item.enum_token,
         ident: item.ident,
         brace_token: item.brace_token,
-        variants: variants,
+        variants,
     }))
 }
 

